#version 330

uniform mat4 MVP;

in vec3 position;
in vec3 normal;
in vec2 uv;

out vec2 fragUv;
out vec3 fragPosition;
out vec3 fragNormal;

void main() {
	fragUv=uv;
	fragPosition=position;
	fragNormal=normal;
	gl_Position = MVP * vec4(position, 1.0);
}