#version 330

uniform sampler2D colorTexture;

in vec2 fragUv;
in vec3 fragPosition;
in vec3 fragNormal;

out vec4 fragColor;

void main() {
	vec4 texColor=texture(colorTexture, fragUv);
	fragColor = vec4(pow(texColor.rgb, vec3(1.0/2.2)), texColor.a);
}