#version 330 core

layout(location = 0) in vec2 pos;
layout(location = 1) in vec2 uv;

out vec2 fUv;

uniform int w;
uniform int h;

void main(){
	vec2 positionHomogen = pos - vec2(w,h);
	positionHomogen /= vec2(w,h);
	gl_Position = vec4(positionHomogen, 0, 1);
	fUv = uv* 0.5 + 0.5;
}